# Generated by rust2rpm 27
%bcond check 1

# reduce debuginfo verbosity to work around OOM problems on 32-bit arches
%ifarch %{ix86} %{arm32}
%global rustflags_debuginfo 0
%endif

%global crate cargo-c
%global crate_version 0.10.13+cargo-0.88.0

Name:           rust-cargo-c
Version:        0.10.13
Release:        %mkrel 1
Summary:        Helper program to build and install c-like libraries

Group:          Development/Rust

License:        MIT
URL:            https://crates.io/crates/cargo-c
Source:         %{crates_source %{crate} %{crate_version}}
Source1:        macros.cargo-c
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          cargo-c-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * remove feature for building / statically linking vendored OpenSSL sources
Patch:          cargo-c-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Helper program to build and install c-like libraries.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (Apache-2.0 OR MIT) AND BSD-3-Clause
# (MIT OR Apache-2.0) AND BSD-3-Clause AND GPL-2.0-only WITH GCC-exception-2.0 AND MIT
# (MIT OR Apache-2.0) AND Unicode-3.0
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# 0BSD OR MIT OR Apache-2.0
# Apache-2.0
# Apache-2.0 OR Apache-2.0 WITH LLVM-exception
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# BSD-2-Clause
# BSD-2-Clause OR Apache-2.0 OR MIT
# BSD-3-Clause
# ISC
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR BSD-1-Clause
# MIT OR Apache-2.0 OR Zlib
# MIT OR Zlib OR Apache-2.0
# MIT-0 OR Apache-2.0
# MPL-2.0
# MPL-2.0+
# Unicode-3.0
# Unlicense OR MIT
# Zlib
# Zlib OR Apache-2.0 OR MIT
License:        %{shrink:
    MIT AND
    Apache-2.0 AND
    BSD-2-Clause AND
    BSD-3-Clause AND
    GPL-2.0-only WITH GCC-exception-2.0 AND
    ISC AND
    MPL-2.0 AND
    MPL-2.0+ AND
    Unicode-3.0 AND
    Unicode-DFS-2016 AND
    Zlib AND
    (0BSD OR MIT OR Apache-2.0) AND
    (Apache-2.0 OR BSL-1.0) AND
    (Apache-2.0 OR MIT) AND
    (Apache-2.0 OR Apache-2.0 WITH LLVM-exception) AND
    (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND
    (BSD-2-Clause OR Apache-2.0 OR MIT) AND
    (MIT OR Apache-2.0 OR BSD-1-Clause) AND
    (MIT OR Apache-2.0 OR Zlib) AND
    (MIT-0 OR Apache-2.0) AND
    (Unlicense OR MIT)
}
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%{_bindir}/cargo-capi
%{_bindir}/cargo-cbuild
%{_bindir}/cargo-cinstall
%{_bindir}/cargo-ctest
%{_rpmmacrodir}/macros.cargo-c

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{crate_version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install
install -D -p -m 0644 -t %{buildroot}/%{_rpmmacrodir} %{SOURCE1}

%if %{with check}
%check
# Skip failing test_lib_listing test (fails on arm arches)
%cargo_test -- -- --skip build::tests::test_lib_listing
%endif



%changelog
* Tue May 20 2025 wally <wally> 0.10.13-1.mga10
+ Revision: 2185374
- update RPM group to Development/Rust
+ kekepower <kekepower>
- Update to version 0.10.13

* Fri Oct 25 2024 wally <wally> 0.10.5-2.mga10
+ Revision: 2111138
- skip tests failing on arm arches
- rename .src.rpm as rust-cargo-c
- build using system rust pkgs
- sync with Fedora

* Sat Oct 19 2024 kekepower <kekepower> 0.10.5-1.mga10
+ Revision: 2108186
- Update to version 0.10.5

* Sat Sep 14 2024 kekepower <kekepower> 0.10.4-1.mga10
+ Revision: 2096158
- Update to version 0.10.4

* Tue Jul 30 2024 kekepower <kekepower> 0.10.3-1.mga10
+ Revision: 2082982
- Update to version 0.10.3

* Mon Jul 01 2024 kekepower <kekepower> 0.10.2-1.mga10
+ Revision: 2078326
- Update to version 0.10.2

* Thu Jun 27 2024 kekepower <kekepower> 0.10.1-1.mga10
+ Revision: 2077340
- Update to version 0.10.1

* Tue Jun 18 2024 kekepower <kekepower> 0.10.0-1.mga10
+ Revision: 2074775
- Update to version 0.10.0

* Wed Feb 14 2024 kekepower <kekepower> 0.9.30-1.mga10
+ Revision: 2041083
- Update to version 0.9.30

* Sun Dec 31 2023 kekepower <kekepower> 0.9.29-1.mga10
+ Revision: 2024848
- Update to version 0.9.29

* Tue Nov 21 2023 kekepower <kekepower> 0.9.28-1.mga10
+ Revision: 2008981
- Update to version 0.9.28

* Wed Oct 25 2023 tv <tv> 0.9.26-2.mga10
+ Revision: 2001195
- Add RPM macros for cargo-cbuild and cargo-cinstall

* Tue Oct 10 2023 kekepower <kekepower> 0.9.26-1.mga10
+ Revision: 1994175
- Update to version 0.9.26
- Update to version 0.9.24

* Sat Jun 03 2023 kekepower <kekepower> 0.9.20-1.mga9
+ Revision: 1960852
- Update to version 0.9.20

* Sun Apr 30 2023 kekepower <kekepower> 0.9.19-2.mga9
+ Revision: 1955471
- Remove Patch0 and build with cargo 1.69.0

* Mon Apr 24 2023 kekepower <kekepower> 0.9.19-1.mga9
+ Revision: 1954762
- Update to version 0.9.19

* Mon Apr 24 2023 kekepower <kekepower> 0.9.18-1.mga9
+ Revision: 1954752
- Update to version 0.9.18

* Mon Mar 13 2023 kekepower <kekepower> 0.9.17-1.mga9
+ Revision: 1948768
- Update to version 0.9.17

* Tue Feb 07 2023 kekepower <kekepower> 0.9.16-2.mga9
+ Revision: 1939333
- Bump rel to build on armv7

* Sat Jan 28 2023 kekepower <kekepower> 0.9.16-1.mga9
+ Revision: 1936578
- Update to version 0.9.16

* Tue Dec 20 2022 kekepower <kekepower> 0.9.15-1.mga9
+ Revision: 1925437
- Update to version 0.9.15

* Sat Nov 05 2022 kekepower <kekepower> 0.9.14-1.mga9
+ Revision: 1903667
- Update to version 0.9.14

* Tue Sep 27 2022 kekepower <kekepower> 0.9.13-1.mga9
+ Revision: 1892773
- Update to version 0.9.13

* Sun Aug 14 2022 kekepower <kekepower> 0.9.12-1.mga9
+ Revision: 1877522
- Update to version 0.9.12

* Tue Jul 05 2022 kekepower <kekepower> 0.9.11-1.mga9
+ Revision: 1867726
- Update to version 0.9.11

* Mon Apr 25 2022 kekepower <kekepower> 0.9.9-1.mga9
+ Revision: 1853730
- Update to version 0.9.9
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 kekepower <kekepower> 0.9.8-1.mga9
+ Revision: 1785343
- Update to version 0.9.8

* Sun Feb 20 2022 kekepower <kekepower> 0.9.7-1.mga9
+ Revision: 1781706
- Update to version 0.9.7

* Sat Oct 02 2021 wally <wally> 0.9.3-2.mga9
+ Revision: 1747912
- rebuild for openssl 3.0.0

* Sun Sep 19 2021 kekepower <kekepower> 0.9.3-1.mga9
+ Revision: 1745966
- Update to version 0.9.3

* Sat Aug 07 2021 kekepower <kekepower> 0.9.2-1.mga9
+ Revision: 1740082
- Update to version 0.9.2

* Mon Jul 05 2021 kekepower <kekepower> 0.9.1-1.mga9
+ Revision: 1734903
- Update to version 0.9.1

* Sun Jul 04 2021 kekepower <kekepower> 0.9.0-1.mga9
+ Revision: 1734619
- Update to version 0.9.0

* Wed Jun 23 2021 kekepower <kekepower> 0.8.3-1.mga9
+ Revision: 1732001
- Update to version 0.8.3

* Sat Jun 19 2021 kekepower <kekepower> 0.8.2-1.mga9
+ Revision: 1731262
- Update to version 0.8.2

* Thu May 27 2021 kekepower <kekepower> 0.8.1-1.mga9
+ Revision: 1728680
- Update to version 0.8.1

* Fri Apr 02 2021 kekepower <kekepower> 0.8.0-1.mga9
+ Revision: 1712761
- Update to version 0.8.0

* Thu Feb 25 2021 kekepower <kekepower> 0.7.3-1.mga9
+ Revision: 1690884
- Update to version 0.7.3

* Wed Dec 30 2020 kekepower <kekepower> 0.7.0-1.mga8
+ Revision: 1665588
- Update to version 0.7.0

* Mon Nov 23 2020 kekepower <kekepower> 0.6.18-1.mga8
+ Revision: 1648781
- Update to version 0.6.18

* Wed Oct 14 2020 kekepower <kekepower> 0.6.15-1.mga8
+ Revision: 1635915
- Update to version 0.6.15

* Tue Oct 13 2020 kekepower <kekepower> 0.6.14-1.mga8
+ Revision: 1635502
- Update to version 0.6.14

* Fri Sep 25 2020 kekepower <kekepower> 0.6.13-1.mga8
+ Revision: 1630076
- Update to version 0.6.13

* Mon Aug 31 2020 kekepower <kekepower> 0.6.12-1.mga8
+ Revision: 1620302
- imported package cargo-c

